package ru.yandex.qe.dispenser.api.v1.project;


import java.util.Collection;

import ru.yandex.qe.dispenser.api.v1.DiPersonGroup;

/**
 * Interface of quota subject (either Nirvana Project or ABC Service) DTO with full set of fields,
 * contains getters for all field values.
 */
public interface DiProjectFieldsHolder {

    String getKey();

    String getName();

    String getDescription();

    Integer getAbcServiceId();

    DiPersonGroup getResponsibles();

    DiPersonGroup getMembers();

    String getParentProjectKey();

    Collection<String> getSubprojectKeys();
}
